Forecast team risks
curl --request POST \
--url https://api.mnemom.ai/v1/teams/forecast \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "<string>",
"horizon_days": 30,
"include_mitigations": true
}
'import requests
url = "https://api.mnemom.ai/v1/teams/forecast"
payload = {
"team_id": "<string>",
"horizon_days": 30,
"include_mitigations": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_id: '<string>', horizon_days: 30, include_mitigations: true})
};
fetch('https://api.mnemom.ai/v1/teams/forecast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"forecast_id": "<string>",
"failure_modes": [
{
"mode": "<string>",
"probability": 0.5,
"contributing_factors": [
"<string>"
],
"mitigation": "<string>"
}
],
"confidence": 0.5
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Intelligence
Forecast team risks
Forecast potential risks and failure modes for a team based on current alignment state, historical trends, and known fault lines.
POST
/
teams
/
forecast
Forecast team risks
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Body
application/json
Response
Risk forecast result
Risk forecast for a team based on alignment trends and fault lines.
Unique identifier for this forecast
Ranked list of potential failure modes
Show child attributes
Show child attributes
Overall risk level for the team
Available options:
low, medium, high, critical Confidence level of the forecast (0.0 to 1.0)
Required range:
0 <= x <= 1⌘I